import React from 'react';
import { LocaleStore } from '@atlantis-lab/react-locale';
declare global {
    interface Window {
        __NEXT_DATA__: any;
    }
}
declare type Props = {
    messages: any;
};
declare type State = {
    locale: string;
    messages: any;
};
declare type Options = {
    default?: string;
    supported?: string[];
    load?: any;
};
export declare const withIntl: ({ default: defaultLocale, supported: supportedLocales, load, }: Options) => (WrapperComponent: any) => {
    new (props: any): {
        store: LocaleStore;
        onChange: (locale: any) => Promise<void>;
        componentDidMount(): void;
        componentWillUnmount(): void;
        render(): JSX.Element;
        context: any;
        setState<K extends keyof State>(state: State | ((prevState: Readonly<State>, props: Readonly<Props>) => State | Pick<State, K>) | Pick<State, K>, callback?: () => void): void;
        forceUpdate(callback?: () => void): void;
        readonly props: Readonly<Props> & Readonly<{
            children?: React.ReactNode;
        }>;
        state: Readonly<State>;
        refs: {
            [key: string]: React.ReactInstance;
        };
        shouldComponentUpdate?(nextProps: Readonly<Props>, nextState: Readonly<State>, nextContext: any): boolean;
        componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
        getSnapshotBeforeUpdate?(prevProps: Readonly<Props>, prevState: Readonly<State>): any;
        componentDidUpdate?(prevProps: Readonly<Props>, prevState: Readonly<State>, snapshot?: any): void;
        componentWillMount?(): void;
        UNSAFE_componentWillMount?(): void;
        componentWillReceiveProps?(nextProps: Readonly<Props>, nextContext: any): void;
        UNSAFE_componentWillReceiveProps?(nextProps: Readonly<Props>, nextContext: any): void;
        componentWillUpdate?(nextProps: Readonly<Props>, nextState: Readonly<State>, nextContext: any): void;
        UNSAFE_componentWillUpdate?(nextProps: Readonly<Props>, nextState: Readonly<State>, nextContext: any): void;
    };
    getInitialProps(context: any): Promise<{
        locale: any;
        messages: any;
    }>;
    contextType?: React.Context<any>;
};
export {};
